package com.patzn.lims.staff.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.patzn.lims.staff.entity.LmsStaffStatus;
import com.patzn.lims.staff.vo.LmsStaffStatusRecordVO;
import com.patzn.lims.staff.vo.LmsStaffStatusVO;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * <p>
  * 人员管理-人员状态 Mapper 接口
 * </p>
 *
 * @author patzn
 * @since 2017-11-03
 */
public interface LmsStaffStatusMapper extends BaseMapper<LmsStaffStatus> {

    List<LmsStaffStatusVO> selectPageVO(Page page, @Param("ew") LmsStaffStatusVO lmsStaffStatusVO);

    List<LmsStaffStatusVO> selectPageVO(@Param("ew") LmsStaffStatusVO lmsStaffStatusVO);

    LmsStaffStatusVO selectVOById(@Param("id") Long id);

    List<LmsStaffStatusVO> selectCalendarList(@Param("ew") LmsStaffStatusVO lmsStaffStatusVO);

    boolean insertStaffStatusRecord(@Param("rd") LmsStaffStatusRecordVO lmsStaffStatusRecordVO);

    List<LmsStaffStatusRecordVO> selectPageRecordVO(Page page, @Param("rd") LmsStaffStatusRecordVO lmsStaffStatusRecordVO);
}